* [☝ Introduction](Introduction.md)
* [❗ Read this first](Read_this_first.md)
* [✔ ️Installation](Installation.md)
    * [Docker](Installation/Docker.md)
    * [RedHat and Centos](Installation/RHEL_and_Centos.md)
    * [Debian and Ubuntu](Installation/Debian_and_Ubuntu.md)
    * [MacOS](Installation/MacOS.md)
    * [Windows](Installation/Windows.md)
    * [Compiling from sources](Installation/Compiling_from_sources.md)
    * [Migration from Sphinx](Installation/Migration_from_Sphinx.md)
* [⚡ Quick start guide](Quick_start_guide.md)
* [✔ ️Starting the server](Starting_the_server.md)
    * [In Linux](Starting_the_server/Linux.md)
    * [Manually](Starting_the_server/Manually.md)
    * [In Docker](Starting_the_server/Docker.md)
    * [In Windows](Starting_the_server/Windows.md)
    * [In MacOS](Starting_the_server/MacOS.md)
* [▪️ Creating an index](Creating_an_index.md)
    * [Data types](Creating_an_index/Data_types.md)
        * [Row-wise and columnar attribute storages](Creating_an_index/Data_types.md#Row-wise-and-columnar-attribute-storages)
    * [Creating a local index](Creating_an_index/Local_indexes.md)
        * [✔ ️Real-time index](Creating_an_index/Local_indexes/Real-time_index.md)
        * [Plain index](Creating_an_index/Local_indexes/Plain_index.md)
        * [Plain and real-time index settings](Creating_an_index/Local_indexes/Plain_and_real-time_index_settings.md)
        * [Percolate index](Creating_an_index/Local_indexes/Percolate_index.md)
        * [Template index](Creating_an_index/Local_indexes/Template_index.md)
    * [NLP and tokenization]
        * [Data tokenization](Creating_an_index/NLP_and_tokenization/Data_tokenization.md)
        * [Supported languages](Creating_an_index/NLP_and_tokenization/Supported_languages.md)
        * [CJK](Creating_an_index/NLP_and_tokenization/CJK.md)
        * [Low-level tokenization](Creating_an_index/NLP_and_tokenization/Low-level_tokenization.md)
        * [Wildcard searching settings](Creating_an_index/NLP_and_tokenization/Wildcard_searching_settings.md)
        * [Ignoring stop words](Creating_an_index/NLP_and_tokenization/Ignoring_stop-words.md)
        * [Word forms](Creating_an_index/NLP_and_tokenization/Wordforms.md)
        * [Exceptions](Creating_an_index/NLP_and_tokenization/Exceptions.md)
        * [Morphology](Creating_an_index/NLP_and_tokenization/Morphology.md)
        * [Advanced HTML tokenization](Creating_an_index/NLP_and_tokenization/Advanced_HTML_tokenization.md)
    * [Creating a distributed index](Creating_an_index/Creating_a_distributed_index/Creating_a_distributed_index.md)
        * [Creating a local distributed index](Creating_an_index/Creating_a_distributed_index/Creating_a_local_distributed_index.md)
        * [Remote indexes](Creating_an_index/Creating_a_distributed_index/Remote_indexes.md)
* [▪️ Listing indexes](Listing_indexes.md)
* [▪️ Deleting an index](Deleting_an_index.md)
* [▪️ Emptying an index](Emptying_an_index.md)
* [▪️ Creating a cluster](Creating_a_cluster/Creating_a_cluster.md)
    * [Adding a new node](Creating_a_cluster/Adding_a_new_node.md)
    * [Remote nodes](Creating_a_cluster/Remote_nodes.md)
        * [Mirroring](Creating_a_cluster/Remote_nodes/Mirroring.md)
        * [Load balancing](Creating_a_cluster/Remote_nodes/Load_balancing.md)
    * [Setting up replication](Creating_a_cluster/Setting_up_replication/Setting_up_replication.md)
        * [Creating a replication cluster](Creating_a_cluster/Setting_up_replication/Creating_a_replication_cluster.md)
        * [Joining a replication cluster](Creating_a_cluster/Setting_up_replication/Joining_a_replication_cluster.md)
        * [Deleting a replication cluster](Creating_a_cluster/Setting_up_replication/Deleting_a_replication_cluster.md)
        * [Adding and removing an index from a replication cluster](Creating_a_cluster/Setting_up_replication/Adding_and_removing_an_index_from_a_replication_cluster.md)
        * [Managing replication nodes](Creating_a_cluster/Setting_up_replication/Managing_replication_nodes.md)
        * [Replication cluster status](Creating_a_cluster/Setting_up_replication/Replication_cluster_status.md)
        * [Restarting a cluster](Creating_a_cluster/Setting_up_replication/Restarting_a_cluster.md)
        * [Cluster recovery](Creating_a_cluster/Setting_up_replication/Cluster_recovery.md)
* [✔ Connecting to the server](Connecting_to_the_server.md)
    * [MySQL protocol](Connecting_to_the_server/MySQL_protocol.md)
    * [HTTP](Connecting_to_the_server/HTTP.md)
    * [SQL over HTTP](Connecting_to_the_server/HTTP.md#SQL-over-HTTP)
* [▪️ Adding documents to an index]
    * [✔ ️Adding documents to a real-time index](Adding_documents_to_an_index/Adding_documents_to_a_real-time_index.md)
    * [Adding rules to a percolate index](Adding_documents_to_an_index/Adding_rules_to_a_percolate_index.md)
* [▪️ Adding data from external storages]
    * [Plain indexes creation](Adding_data_from_external_storages/Plain_indexes_creation.md)
    * [Fetching from databases]
        * [Introduction](Adding_data_from_external_storages/Fetching_from_databases/Introduction.md)
        * [Database connection](Adding_data_from_external_storages/Fetching_from_databases/Database_connection.md)
        * [Execution of fetch queries](Adding_data_from_external_storages/Fetching_from_databases/Execution_of_fetch_queries.md)
        * [Indexing fetched data](Adding_data_from_external_storages/Fetching_from_databases/Indexing_fetched_data.md)
        * [Ranged queries](Adding_data_from_external_storages/Fetching_from_databases/Ranged_queries.md)
    * [Fetching from XML stream](Adding_data_from_external_storages/Fetching_from_XML_streams.md)
    * [Fetching from CSV,TSV](Adding_data_from_external_storages/Fetching_from_CSV,TSV.md)
    * [Main+delta schema](Adding_data_from_external_storages/Main_delta.md)
    * [Adding data from indexes]
        * [Merging indexes](Adding_data_from_external_storages/Adding_data_from_indexes/Merging_indexes.md)
        * [Killlists in plain indexes](Adding_data_from_external_storages/Adding_data_from_indexes/Killlist_in_plain_indexes.md)
        * [Attaching a plain index to RT index](Adding_data_from_external_storages/Adding_data_from_indexes/Attaching_a_plain_index_to_RT_index.md)
        * [Importing RT index](Adding_data_from_external_storages/Adding_data_from_indexes/Importing_index.md)        
    * [Rotating an index](Adding_data_from_external_storages/Rotating_an_index.md)
* [✔ ️Updating documents]
    * [REPLACE vs UPDATE](Updating_documents/REPLACE_vs_UPDATE.md)
    * [REPLACE](Updating_documents/REPLACE.md)
    * [UPDATE](Updating_documents/UPDATE.md)
* [▪️ Deleting documents](Deleting_documents.md)
* [▪️ Transactions](Transactions.md)
* [✔ ️Searching]
    * [Intro](Searching/Intro.md)
    * [Full-text matching]
        * [Basic usage](Searching/Full_text_matching/Basic_usage.md)
        * [Operators](Searching/Full_text_matching/Operators.md)
        * [Escaping](Searching/Full_text_matching/Escaping.md)
        * [Search profiling](Searching/Full_text_matching/Profiling.md)
        * [Boolean optimization](Searching/Full_text_matching/Boolean_optimization.md)
    * [Search results](Searching/Search_results.md)
    * [Filters](Searching/Filters.md)
    * [Expressions](Searching/Expressions.md)
    * [Search options](Searching/Options.md)
    * [Highlighting](Searching/Highlighting.md)
    * [Sorting and ranking](Searching/Sorting_and_ranking.md)
    * [Pagination](Searching/Pagination.md)
    * [Distributed searching](Searching/Distributed_searching.md)
    * [Multi-queries](Searching/Multi-queries.md)
    * [Sub-selects](Searching/Sub-selects.md)
    * [Grouping](Searching/Grouping.md)
    * [Faceted search](Searching/Faceted_search.md)
    * [Geo search](Searching/Geo_search.md)
    * [Percolate query](Searching/Percolate_query.md)
    * [Autocomplete](Searching/Autocomplete.md)
    * [Spell correction](Searching/Spell_correction.md)
    * [Query cache](Searching/Query_cache.md)
    * [Collations](Searching/Collations.md)
* [▪️ Updating index schema](Updating_index_schema.md)    
* [▪️ Functions](Functions.md)
    * [Mathematical functions](Functions/Mathematical_functions.md)
    * [Searching and ranking functions](Functions/Searching_and_ranking_functions.md)
    * [Type casting functions](Functions/Type_casting_functions.md)
    * [Functions to handle arrays and conditions](Functions/Arrays_and_conditions_functions.md)
    * [Date and time functions](Functions/Date_and_time_functions.md)
    * [Geo-spatial functions](Functions/Geo_spatial_functions.md)
    * [String functions](Functions/String_functions.md)
    * [Other functions](Functions/Other_functions.md)
* [▪️ Securing and compacting an index]
    * [Few words about RT index structure](Securing_and_compacting_an_index/RT_index_structure.md)
    * [Flushing RAM chunk to a new disk chunk](Securing_and_compacting_an_index/Flushing_RAM_chunk_to_a_new_disk_chunk.md)
    * [Flushing RT index to disk](Securing_and_compacting_an_index/Flushing_RAM_chunk_to_disk.md)
    * [Compacting an index](Securing_and_compacting_an_index/Compacting_an_index.md)
    * [Flushing attributes](Securing_and_compacting_an_index/Flushing_attributes.md)
    * [Flushing hostnames](Securing_and_compacting_an_index/Flushing_hostnames.md)
* [▪️ Security]
    * [SSL](Security/SSL.md)
    * [Read-only](Security/Read_only.md)
* [▪️ Logging]
    * [Query logging](Logging/Query_logging.md)
    * [Server logging](Logging/Server_logging.md)
    * [Binary logging](Logging/Binary_logging.md)
    * [Docker logging](Logging/Docker_logging.md)
    * [Rotating query and server logs](Logging/Rotating_query_and_server_logs.md)
* [▪️ Profiling and monitoring]
    * [Node status](Profiling_and_monitoring/Node_status.md)
    * [SHOW META](Profiling_and_monitoring/SHOW_META.md)
    * [SHOW THREADS](Profiling_and_monitoring/SHOW_THREADS.md)
    * [SHOW WARNINGS](Profiling_and_monitoring/SHOW_WARNINGS.md)
    * [SHOW VARIABLES](Profiling_and_monitoring/SHOW_VARIABLES.md)
    * [SHOW COLLATION](Profiling_and_monitoring/SHOW_COLLATION.md)
    * [Profiling]
        * [Query profiling](Profiling_and_monitoring/Profiling/Query_profile.md)
        * [Query plan](Profiling_and_monitoring/Profiling/Query_plan.md)
    * [Index settings and status]
        * [SHOW INDEX STATUS](Profiling_and_monitoring/Index_settings_and_status/SHOW_INDEX_STATUS.md)
        * [SHOW INDEX SETTINGS](Profiling_and_monitoring/Index_settings_and_status/SHOW_INDEX_SETTINGS.md)
* [▪️ Server settings]
    * [Searchd](Server_settings/Searchd.md)
    * [Common](Server_settings/Common.md)
    * [Special suffixes](Server_settings/Special_suffixes.md)
    * [Scripted configuration](Server_settings/Scripted_configuration.md)
    * [Comments](Server_settings/Comments.md)
    * [Inheritance of index and source declarations](Server_settings/Inheritance_of_index_and_source_declarations.md)
    * [Setting variables online](Server_settings/Setting_variables_online.md)
* [▪️ Extensions]
    * [SphinxSE](Extensions/SphinxSE.md)
    * [FEDERATED](Extensions/FEDERATED.md)
    * [UDFs and Plugins](Extensions/UDFs_and_Plugins/UDFs_and_Plugins.md)
        * [Listing plugins](Extensions/UDFs_and_Plugins/Listing_plugins.md)
        * [UDF](Extensions/UDFs_and_Plugins/UDF.md)
            * [Creating a function](Extensions/UDFs_and_Plugins/UDF/Creating_a_function.md)
            * [Deleting a function](Extensions/UDFs_and_Plugins/UDF/Deleting_a_function.md)
        * [Plugins]
            * [Creating a plugin](Extensions/UDFs_and_Plugins/Plugins/Creating_a_plugin.md)
            * [Deleting a plugin](Extensions/UDFs_and_Plugins/Plugins/Deleting_a_plugin.md)
            * [Reloading plugins](Extensions/UDFs_and_Plugins/Plugins/Reloading_plugins.md)
            * [Ranker plugins](Extensions/UDFs_and_Plugins/Plugins/Ranker_plugins.md)
            * [Token filter plugins](Extensions/UDFs_and_Plugins/Plugins/Token_filter_plugins.md)
* [▪️ Miscellaneous tools](Miscellaneous_tools.md)
* [▪️ Changelog](Changelog.md)
* [🐞 Reporting bugs](Reporting_bugs.md)
* [📖 References](References.md)
    * [Previous versions](References.md#Documentation-for-old-Manticore-versions)
