# REPLACE vs UPDATE

You can change existing data in an RT or PQ index by either updating or replacing it.

[UPDATE](../Updating_documents/UPDATE.md) replaces [row-wise](../Creating_an_index/Data_types.md#Row-wise-and-columnar-attribute-storages) attribute values of existing documents with new values. Full-text fields and columnar attributes cannot be updated. If you need to change the content of a full-text field or columnar attributes, use [REPLACE](../Updating_documents/REPLACE.md).

[REPLACE](../Updating_documents/REPLACE.md) works similar to [INSERT](../Adding_documents_to_an_index/Adding_documents_to_a_real-time_index.md) except that if an old document has the same ID as the new document, the old document is marked as deleted before the new document is inserted. Note that the old document does not get physically deleted from the index. The deletion can only happen when chunks are merged in an index, e.g. as a result of an [OPTIMIZE](../Securing_and_compacting_an_index/Compacting_an_index.md).
